# ModifyEipBandwidthLimitMode

## 1. API Description

This API (ModifyEipBandwidthLimitMode) is used to modify the bandwidth rate limit mode of the specified elastic IP.

{% hint style="info" %}
**Notes**

* Only EIPs in an available status (`BINDED`, `UNBIND`) support this operation.
* EIPs without bandwidth configured do not support this operation.
* `LOOSE` (relaxed mode) allows short-term bursts exceeding the rate limit; `STRICT` (strict mode) enforces the rate limit strictly without any bursts.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                                       | Description                  |
| -------------- | -------- | -------------------------------------------------------------------------- | ---------------------------- |
| eipId          | Yes      | String                                                                     | Unique ID of the elastic IP. |
| rateLimitMode  | Yes      | [RateLimitMode](/api-reference/compute/zec/datastructure.md#ratelimitmode) | New rate limit mode.         |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Modify the bandwidth rate limit mode of an EIP to strict mode.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyEipBandwidthLimitMode
<Common Request Params>

Request：
{
    "eipId": "<EipId>",
    "rateLimitMode": "STRICT"
}

Response：
{
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                   | Description                                                              |
| ---------------- | -------------------------------------------- | ------------------------------------------------------------------------ |
| 404              | INVALID\_EIP\_NOT\_FOUND                     | Elastic IP does not exist.                                               |
| 500              | OPERATION\_DENIED\_EIP\_STATUS\_NOT\_SUPPORT | Operation is not supported for the elastic IP in current status.         |
| 400              | OPERATION\_DENIED\_EIP\_IN\_RISK\_CONTROL    | This operation is not supported for elastic IPs under risk control.      |
| 400              | OPERATION\_DENIED\_EIP\_NO\_BANDWIDTH        | No bandwidth is configured for the EIP. This operation is not supported. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/elastic-ip/modifyeipbandwidthlimitmode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
